# coding: utf-8

"""
    CLOUD API

    An enterprise-grade Infrastructure is provided as a Service (IaaS) solution that can be managed through a browser-based \"Data Center Designer\" (DCD) tool or via an easy to use API.   The API allows you to perform a variety of management tasks such as spinning up additional servers, adding volumes, adjusting networking, and so forth. It is designed to allow users to leverage the same power and flexibility found within the DCD visual tool. Both tools are consistent with their concepts and lend well to making the experience smooth and intuitive.  # noqa: E501

    The version of the OpenAPI document: 5.0
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest
import datetime

import ionos_cloud_sdk_python
from ionos_cloud_sdk_python.models.request import Request  # noqa: E501
from ionos_cloud_sdk_python.rest import ApiException

class TestRequest(unittest.TestCase):
    """Request unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional):
        """Test Request
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # model = ionos_cloud_sdk_python.models.request.Request()  # noqa: E501
        if include_optional :
            return Request(
                id = '15f67991-0f51-4efc-a8ad-ef1fb31a480c', 
                type = "request", 
                href = '<RESOURCE-URI>', 
                metadata = ionos_cloud_sdk_python.models.request_metadata.RequestMetadata(
                    created_date = '2015-12-04T14:34:09.809Z', 
                    created_by = 'user@example.com', 
                    etag = '45480eb3fbfc31f1d916c1eaa4abdcc3', 
                    request_status = ionos_cloud_sdk_python.models.request_status.RequestStatus(
                        id = '15f67991-0f51-4efc-a8ad-ef1fb31a480c', 
                        type = "request-status", 
                        href = '<RESOURCE-URI>', 
                        metadata = ionos_cloud_sdk_python.models.request_status_metadata.RequestStatusMetadata(
                            status = 'QUEUED', 
                            message = '0', 
                            etag = '45480eb3fbfc31f1d916c1eaa4abdcc3', 
                            targets = [
                                ionos_cloud_sdk_python.models.request_target.RequestTarget(
                                    target = ionos_cloud_sdk_python.models.resource_reference.ResourceReference(
                                        id = '0', 
                                        type = "resource", 
                                        href = '<RESOURCE-URI>', ), 
                                    status = 'QUEUED', )
                                ], ), ), ), 
                properties = ionos_cloud_sdk_python.models.request_properties.RequestProperties(
                    method = '0', 
                    headers = {
                        'key' : '0'
                        }, 
                    body = '0', 
                    url = '0', )
            )
        else :
            return Request(
                properties = ionos_cloud_sdk_python.models.request_properties.RequestProperties(
                    method = '0', 
                    headers = {
                        'key' : '0'
                        }, 
                    body = '0', 
                    url = '0', ),
        )

    def testRequest(self):
        """Test Request"""
        inst_req_only = self.make_instance(include_optional=False)
        inst_req_and_optional = self.make_instance(include_optional=True)


if __name__ == '__main__':
    unittest.main()
